<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use Claromentis\Infocapture\Model\ICWorkflow;
class WorkflowModifiedEvent extends Event
{
    protected $original;
    protected $modified;
    public function __construct(ICWorkflow $_e90d5db4c6313e90f983da3d59a5f1a6 = null, ICWorkflow $_18c93a32ba5faf9509389a94787e6798 = null)
    {
        $this->original = $_e90d5db4c6313e90f983da3d59a5f1a6;
        $this->modified = $_18c93a32ba5faf9509389a94787e6798;
    }
    
    
    
    
    
    
    
    
    
    public function getOriginal() : ?ICWorkflow
    {
        return $this->original;
    }
    
    
    
    
    
    
    
    
    
    public function getModified() : ?ICWorkflow
    {
        return $this->modified;
    }
}